* Activity 4 answers.

* Open act4data.sav.

* Centering predictors.
COMPUTE yrsexp5 = yrsexp - 5.			
COMPUTE bgcope5	= gmcope - 5.		
COMPUTE wgcope	= cope - gmcope.	
COMPUTE bpcope5	= cope - 5. 

VARIABLE LABELS 
  yrsexp5 	  "Leader Years Experience (0=5)"
  bgcope5=    "Between-Group  Coping (0=5)"
  wgcope=     "Within-Group   Coping (0=GM)"
  bpcope5=    "Between-Person Coping (0=5)".
EXECUTE.

* Model for question 1.

TITLE "Empty Means, Random Intercept Model".
* ICC=.28 , diff on df=1 is significant, so 28% is different than 0.
MIXED anxiety BY CenterID PersonID 
	/METHOD = ML
	/PRINT  = SOLUTION TESTCOV
	/FIXED  = 
 /RANDOM INTERCEPT | SUBJECT(CenterID) COVTYPE(UN).


* 2: Yrs experience main effect is negative.
TITLE "Add Yrs Exp".
MIXED anxiety BY CenterID PersonID WITH yrsexp5
	/METHOD = ML
	/PRINT  = SOLUTION TESTCOV
	/FIXED  = yrsexp5
 /RANDOM INTERCEPT | SUBJECT(CenterID) COVTYPE(UN).


* 3: Coping model
     People with relatively better coping have less anxiety
	    No incremental effect of group.
TITLE "Coping Model: Uses Grand-MC".
MIXED anxiety BY CenterID PersonID WITH yrsexp5 bpcope5 bgcope5
	/METHOD = ML
	/PRINT  = SOLUTION TESTCOV
	/FIXED  = yrsexp5 bpcope5 bgcope5
 /RANDOM INTERCEPT | SUBJECT(CenterID) COVTYPE(UN).


* 4: Coping*yrsexp model
     Effects of coping do not depend on yrs exp.
TITLE "Coping*YrsExp Model: Uses Grand-MC".
MIXED anxiety BY CenterID PersonID WITH yrsexp5 bpcope5 bgcope5
	/METHOD = ML
	/PRINT  = SOLUTION TESTCOV
	/FIXED  = yrsexp5 bpcope5 bgcope5 yrsexp5*bpcope5 yrsexp5*bgcope5
 /RANDOM INTERCEPT | SUBJECT(CenterID) COVTYPE(UN).

